Index: trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- trunk/var/www/info/alkis/alkisnamstruk.php	(revision 78)
+++ trunk/var/www/info/alkis/alkisnamstruk.php	(revision 123)
@@ -12,6 +12,9 @@
 	26.01.2011  Space in leere td
 	01.02.2011  *Left* Join - Fehlertoleranz bei unvollstaendigen Schluesseltabellen
+	02.11.2011  $sqla, $sqlg, Meldungen mit $debug steuern 
+
 	ToDo: 
 	Sortierung der GrundbÃŒcher zum Namen
+	Mehrere Adressen zum Namen? Historische ausblenden/markieren?
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -19,8 +22,5 @@
 $gkz=urldecode($_REQUEST["gkz"]);
 require_once("alkis_conf_location.php");
-if ($auth == "mapbender") {
-	// Bindung an Mapbender-Authentifizierung
-	require_once($mapbender);
-}
+if ($auth == "mapbender") {require_once($mapbender);}
 include("alkisfkt.php");
 ?>
@@ -56,6 +56,4 @@
 }
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
-if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
-
 // Balken
 echo "<p class='nakennz'>ALKIS Name id=".$gmlid."&nbsp;</p>\n";
@@ -92,16 +90,21 @@
 	// A d r e s s e
 	echo "\n<h3><img src='ico/Strasse_mit_Haus.ico' width='16' height='16' alt=''> Adresse</h3>\n";
-	$sql ="SELECT a.gml_id, a.ort_post, a.postleitzahlpostzustellung AS plz, a.strasse, a.hausnummer, a.bestimmungsland ";
-	$sql.="FROM ax_anschrift a ";
-	$sql.="JOIN alkis_beziehungen b ON a.gml_id=b.beziehung_zu ";
-	$sql.="WHERE b.beziehung_von= $1 ";
-	$sql.="AND b.beziehungsart='hat';"; //"ORDER  BY ?;";
-	//echo "\n<p class='err'>".$sql."</p>\n";
+	$sqla ="SELECT a.gml_id, a.ort_post, a.postleitzahlpostzustellung AS plz, a.strasse, a.hausnummer, a.bestimmungsland ";
+	$sqla.="FROM ax_anschrift a ";
+	$sqla.="JOIN alkis_beziehungen b ON a.gml_id=b.beziehung_zu ";
+	$sqla.="WHERE b.beziehung_von= $1 ";
+	$sqla.="AND b.beziehungsart='hat';"; //"ORDER  BY ?;";
 
 	$v = array($gmlid);
-	$resa = pg_prepare("", $sql);
+	$resa = pg_prepare("", $sqla);
 	$resa = pg_execute("", $v);
 
-	if (!$resa) echo "\n<p class='err'>Fehler bei Adressen.<br>\nSQL= ".$sql."</p>\n";
+	if (!$resa) {
+		echo "\n<p class='err'>Fehler bei Adressen</p>\n";
+		if ($debug > 2) {	
+			echo "<p class='err'>SQL=<br>".$sqla."<br>$1=gml(Person)= '".$gmlid."'</p>\n";
+		}
+	}
+
 	$j=0;
 	while($rowa = pg_fetch_array($resa)) {
@@ -137,26 +140,29 @@
 	//                               >bestehtAusRechtsverhaeltnissenZu> namensnummer   (Nebenzweig/SonderfÃ€lle?)
 
-	$sql ="SELECT n.gml_id AS gml_n, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, ";
-	$sql.="g.gml_id AS gml_g, g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung as nr, g.blattart, ";
-	$sql.="b.bezeichnung AS beznam ";
-	$sql.="FROM alkis_beziehungen bpn ";
-	$sql.="JOIN ax_namensnummer n ON bpn.beziehung_von=n.gml_id ";
-	$sql.="JOIN alkis_beziehungen bng ON n.gml_id=bng.beziehung_von ";
-	$sql.="JOIN ax_buchungsblatt g ON bng.beziehung_zu=g.gml_id ";
-	$sql.="LEFT JOIN ax_buchungsblattbezirk b ON g.land = b.land AND g.bezirk = b.bezirk ";
-	$sql.="WHERE bpn.beziehung_zu= $1 ";
-	$sql.="AND bpn.beziehungsart='benennt' AND bng.beziehungsart='istBestandteilVon' ";
-	$sql.="ORDER BY g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung;";
+	$sqlg ="SELECT n.gml_id AS gml_n, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, ";
+	$sqlg.="g.gml_id AS gml_g, g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung as nr, g.blattart, ";
+	$sqlg.="b.bezeichnung AS beznam ";
+	$sqlg.="FROM alkis_beziehungen bpn ";
+	$sqlg.="JOIN ax_namensnummer n ON bpn.beziehung_von=n.gml_id ";
+	$sqlg.="JOIN alkis_beziehungen bng ON n.gml_id=bng.beziehung_von ";
+	$sqlg.="JOIN ax_buchungsblatt g ON bng.beziehung_zu=g.gml_id ";
+	$sqlg.="LEFT JOIN ax_buchungsblattbezirk b ON g.land = b.land AND g.bezirk = b.bezirk ";
+	$sqlg.="WHERE bpn.beziehung_zu= $1 ";
+	$sqlg.="AND bpn.beziehungsart='benennt' AND bng.beziehungsart='istBestandteilVon' ";
+	$sqlg.="ORDER BY g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung;";
 	// buchungsblatt... mal mit und mal ohne fuehrende Nullen, bringt die Sortierung durcheinander
 
-	//echo "\n<p class='err'>".$sql."</p>\n";
 	$v = array($gmlid);
-	$resg = pg_prepare("", $sql);
+	$resg = pg_prepare("", $sqlg);
 	$resg = pg_execute("", $v);
 
-	if (!$resg) echo "\n<p class='err'>Fehler bei Grundbuch.<br>\nSQL= ".$sql."</p>\n";
+	if (!$resg) {
+		echo "\n<p class='err'>Fehler bei Grundbuch</p>\n";
+		if ($debug > 2) {
+			echo "\n<p class='err'>SQL=".$sqlg."</p>\n";
+		}
+	}
 	$j=0;
 	echo "<table class='eig'>";
-
 	echo "\n<tr>";
 		echo "\n\t<td class='head'>Bezirk</td>";
